Subject: Re: bug#36664: 27.0.50; definition of string-trim causes warning

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 15 Jul 2019 14:24:12 +0200

Andreas Röhler <[email-masked]> writes:

> concerns subr-x.el
>
> When byte-compiling a file with def of trim-string inside, get a
> warning: Lexical argument shadows the dynamic variable
>     string

I'm not sure I follow.  Do you mean if you have a function that calls
string-trim (not define trim-string?) in a file, and you compile that
file, you get that warning?

If that's what you mean, I'm unable to reproduce the error.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no